- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WP6CharacterGroup Class Reference

`#include <WP6CharacterGroup.h>`

Inheritance diagram for WP6CharacterGroup:

## Public Member Functions
| WP6CharacterGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP6CharacterGroup ()
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP6Listener *listener)
Public Member Functions inherited from WP6VariableLengthGroup
| WP6VariableLengthGroup ()
virtual | ~WP6VariableLengthGroup ()
Public Member Functions inherited from WP6Part
virtual | ~WP6Part ()

## Private Member Functions
| WP6CharacterGroup (const WP6CharacterGroup &)
WP6CharacterGroup & | operator= (const WP6CharacterGroup &)

## Private Attributes
WP6VariableLengthGroup_SubGroup * | m_subGroupData

## Additional Inherited Members
Static Public Member Functions inherited from WP6VariableLengthGroup
static WP6VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP6Part
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP6VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const
unsigned char | getFlags () const
unsigned char | getNumPrefixIDs () const
const unsigned short * | getPrefixIDs () const
unsigned short | getSizeNonDeletable () const
unsigned short | getSizeDeletable () const

## Constructor & Destructor Documentation

WP6CharacterGroup::WP6CharacterGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

WP6CharacterGroup::~WP6CharacterGroup | ( |  | ) |

WP6CharacterGroup::WP6CharacterGroup | ( | const WP6CharacterGroup & |  | ) |
| private

## Member Function Documentation

void WP6CharacterGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |
| virtual

Reimplemented from WP6VariableLengthGroup.

WP6CharacterGroup& WP6CharacterGroup::operator= | ( | const WP6CharacterGroup & |  | ) |
| private

void WP6CharacterGroup::parse | ( | WP6Listener * | listener | ) |
| virtual

Implements WP6Part.

## Member Data Documentation

WP6VariableLengthGroup_SubGroup* WP6CharacterGroup::m_subGroupData
| private

Referenced by _readContents(), parse(), and ~WP6CharacterGroup().

The documentation for this class was generated from the following files:

- WP6CharacterGroup.h
- WP6CharacterGroup.cpp